module.exports = {
  entry: './src/main.js',
  output: {
    path: __dirname,
    filename: 'xdRoot.js',
    libraryTarget: 'commonjs'
  },
  devtool: 'none', // prevent webpack from using eval() on my module
  module: {
    rules: [
      {
        test: /\.jsx?$/,
        exclude: /node_modules/,
        loader: 'babel-loader',
        options: {
          plugins: [
            'transform-react-jsx'
          ]
        }
      },
      {
        test: /\.css$/,
        use: ['style-loader', 'css-loader']
      }
    ]
  },
  externals: {
    scenegraph: 'scenegraph',
    application: 'application',
    uxp: 'uxp',
    clipboard: 'clipboard'
  }
}
